<?php include('fncr-geral/configuracao_geral.php');

$sql = $bd->getConexao()->prepare('
  SELECT cf.bd, c.status, c.nome, c.id
  FROM clubes_configuracao cf
    LEFT JOIN clubes c on c.id = cf.id_clube
  WHERE
    cf.link_sistema is not null AND cf.bd is not null AND
    cf.link_sistema != "" AND cf.bd != ""
  ORDER BY status DESC, nome ASC');
if($sql->execute()){$resul_clubes = $sql->fetchall(PDO::FETCH_ASSOC);}


$regs = array();
foreach($resul_clubes as $c){
  if(substr($c['bd'],0,3)=="pw_" && substr($c['bd'],0,4)!="pw_0"){

    $bdclube = new ConeccaoClube($c['bd']);
    $bdclube->getConexao()->exec("set names utf8");

    $sql = $bdclube->getConexao()->prepare('SET @ids_torneio = (SELECT CONCAT(GROUP_CONCAT(id)) FROM torneios WHERE data_hora_abertura BETWEEN "2023-06-01 00:00:00" AND "2023-06-30 23:59:59" AND (id_evento is null OR id_evento=0));');
    $sql->execute();

    $sql = $bdclube->getConexao()->prepare('
    SELECT
      DATE_FORMAT(itens.data_hora,"%d/%m/%Y") as data,
      t.nome as torneio,
      COUNT(distinct itens.id_jogador) as jogadores_unicos,
      COUNT(distinct itens.id) as vendas_qtd,
      sum((IFNULL(config.valor,0)+IFNULL(config.taxa,0)+IFNULL(taxas.total,0))) as vendas_total
    FROM torneios_vendas_itens itens
      LEFT JOIN torneios t ON t.id = itens.id_torneio
      LEFT JOIN torneios_config config ON config.id = itens.id_item
      LEFT JOIN (
                  SELECT id_item, sum(tx.valor) as total
                  FROM torneios_config_taxas tx
                  WHERE find_in_set(tx.id_torneio, @ids_torneio)
                  GROUP BY tx.id_item
                ) taxas ON taxas.id_item = config.id
    WHERE find_in_set(itens.id_torneio, @ids_torneio)
    GROUP BY itens.id_torneio;');
    if($sql->execute()){$resul_torneios = $sql->fetchall(PDO::FETCH_ASSOC);}

    $regs[$c['nome']] = $resul_torneios;
  }
}

$tabela = '<table><tr><td colspan="3"><b>CLUBES / TORNEIOS</b></td></tr>';
$tabela .= '<tr><td colspan="3">Emissão: '.date('d/m/Y - H:i').'</td></tr><tr><td></td></tr>';

$tabela .= '<tr>';
$tabela .= '<td><b>Clube</b></td>';
$tabela .= '<td><b>Torneio Data</b></td>';
$tabela .= '<td><b>Torneio Nome</b></td>';
$tabela .= '<td><b>Jogadores Unicos</b></td>';
$tabela .= '<td><b>Vendas (Qtd Total)</b></td>';
$tabela .= '<td><b>Vendas (Valor Total)</b></td>';
$tabela .= '</tr>';

foreach($regs as $c_nome=>$regs){
  foreach($regs as $l){
    $tabela .= '<tr>';
    $tabela .= '<td>'.$c_nome.'</td>';
    $tabela .= '<td>'.$l['data'].'</td>';
    $tabela .= '<td>'.$l['torneio'].'</td>';
    $tabela .= '<td>'.$l['jogadores_unicos'].'</td>';
    $tabela .= '<td>'.$l['vendas_total'].'</td>';
    $tabela .= '</tr>';
  }
}

$tabela .= '</table>';
$arquivo = 'CLUBES - TORNEIOS.xls';

header('Cache-Control: no-cache, must-revalidate');
header('Pragma: no-cache');
header("Content-type: application/vnd.ms-excel; charset=UTF-8");
header("Content-Disposition: attachment; filename=\"{$arquivo}\"");
echo "\xEF\xBB\xBF"; //UTF-8 BOM
echo $tabela;